# Copyright 2016-2021, Medeek Engineering Inc.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is prohibited.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#-----------------------------------------------------------------------------
# Name        :   Medeek Foundation
# Description :   A script that loads the Medeek Foundation Plugin as an extension to SketchUp
#                 
# Menu Item   :   Medeek Foundation
# Context Menu:   N/A
# Usage       :   Architects, Engineers, Designers, DIYers, Homeowners, Inspectors, Estimators
# Date        :   Sep. 18, 2021
# Type        :   Permanent License - Please visit http://design.medeek.com for upgrades and support
#-----------------------------------------------------------------------------


module Medeek_Engineering_Inc_Extensions
	module MedeekFoundationPluginLoader

		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'


		medeekfoundation_Extension = SketchupExtension.new("Medeek Foundation", (File.join(File.dirname(__FILE__),"medeek_foundation_ext","medeek_foundation_load.rbe")))

		medeekfoundation_Extension.description=("Generate accurate 3D foundation and footing geometry with engineering.")
		medeekfoundation_Extension.version = "1.7.7 (09.18.2021)"
		medeekfoundation_Extension.creator = "Nathaniel P. Wilkerson - Medeek Engineering Inc."
		medeekfoundation_Extension.copyright = "2016-2021, Medeek Engineering Inc."


		# Register the extension with Sketchup.
		Sketchup.register_extension medeekfoundation_Extension, true



	end # module MedeekFoundationPluginLoader
end # module Medeek_Engineering_Inc_Extensions